Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi.impl
Class TFailureInfoImpl

    java.lang.Object
      org.apache.xmlbeans.impl.values.XmlObjectBase
          org.apache.xmlbeans.impl.values.XmlComplexContentImpl
              org.apache.ode.bpel.pmapi.impl.TFailureInfoImpl

All Implemented Interfaces:
  java.io.Serializable, TFailureInfo, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

    public class TFailureInfoImpl

extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
implements TFailureInfo

An XML tFailureInfo(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.ode.bpel.pmapi.TFailureInfo
`TFailureInfo.Factory`

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_voorVc, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

Fields inherited from interface org.apache.ode.bpel.pmapi.TFailureInfo
`type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Constructor Summary
`TFailureInfoImpl(org.apache.xmlbeans.SchemaType sType)`

Method Summary
`java.lang.String` | `getActions()` Gets the "actions" element
`java.util.Calendar` | `getDtFailure()` Gets the "dt-failure" element
`java.lang.String` | `getReason()` Gets the "reason" element
`int` | `getRetries()` Gets the "retries" element
`void` | `setActions(java.lang.String actions)` Sets the "actions" element
`void` | `setDtFailure(java.util.Calendar dtFailure)` Sets the "dt-failure" element
`void` | `setReason(java.lang.String reason)` Sets the "reason" element
`void` | `setRetries(int retries)` Sets the "retries" element
`org.apache.xmlbeans.XmlString` | `xgetActions()` Gets (as xml) the "actions" element
`org.apache.xmlbeans.XmlDateTime` | `xgetDtFailure()` Gets (as xml) the "dt-failure" element
`org.apache.xmlbeans.XmlString` | `xgetReason()` Gets (as xml) the "reason" element
`org.apache.xmlbeans.XmlInt` | `xgetRetries()` Gets (as xml) the "retries" element
`void` | `xsetActions(org.apache.xmlbeans.XmlString actions)` Sets (as xml) the "actions" element
`void` | `xsetDtFailure(org.apache.xmlbeans.XmlDateTime dtFailure)` Sets (as xml) the "dt-failure" element
`void` | `xsetReason(org.apache.xmlbeans.XmlString reason)` Sets (as xml) the "reason" element
`void` | `xsetRetries(org.apache.xmlbeans.XmlInt retries)` Sets (as xml) the "retries" element

Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl
`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_isComplexContent, _isComplexType, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Constructor Detail

### TFailureInfoImpl

    public TFailureInfoImpl(org.apache.xmlbeans.SchemaType sType)

Method Detail

### getDtFailure

    public java.util.Calendar getDtFailure()

  Gets the "dt-failure" element

  Specified by:
    `getDtFailure` in interface `TFailureInfo`

### xgetDtFailure

    public org.apache.xmlbeans.XmlDateTime xgetDtFailure()

  Gets (as xml) the "dt-failure" element

  Specified by:
    `xgetDtFailure` in interface `TFailureInfo`

### setDtFailure

    public void setDtFailure(java.util.Calendar dtFailure)

  Sets the "dt-failure" element

  Specified by:
    `setDtFailure` in interface `TFailureInfo`

### xsetDtFailure

    public void xsetDtFailure(org.apache.xmlbeans.XmlDateTime dtFailure)

  Sets (as xml) the "dt-failure" element

  Specified by:
    `xsetDtFailure` in interface `TFailureInfo`

### getRetries

    public int getRetries()

  Gets the "retries" element

  Specified by:
    `getRetries` in interface `TFailureInfo`

### xgetRetries

    public org.apache.xmlbeans.XmlInt xgetRetries()

  Gets (as xml) the "retries" element

  Specified by:
    `xgetRetries` in interface `TFailureInfo`

### setRetries

    public void setRetries(int retries)

  Sets the "retries" element

  Specified by:
    `setRetries` in interface `TFailureInfo`

### xsetRetries

    public void xsetRetries(org.apache.xmlbeans.XmlInt retries)

  Sets (as xml) the "retries" element

  Specified by:
    `xsetRetries` in interface `TFailureInfo`

### getReason

    public java.lang.String getReason()

  Gets the "reason" element

  Specified by:
    `getReason` in interface `TFailureInfo`

### xgetReason

    public org.apache.xmlbeans.XmlString xgetReason()

  Gets (as xml) the "reason" element

  Specified by:
    `xgetReason` in interface `TFailureInfo`

### setReason

    public void setReason(java.lang.String reason)

  Sets the "reason" element

  Specified by:
    `setReason` in interface `TFailureInfo`

### xsetReason

    public void xsetReason(org.apache.xmlbeans.XmlString reason)

  Sets (as xml) the "reason" element

  Specified by:
    `xsetReason` in interface `TFailureInfo`

### getActions

    public java.lang.String getActions()

  Gets the "actions" element

  Specified by:
    `getActions` in interface `TFailureInfo`

### xgetActions

    public org.apache.xmlbeans.XmlString xgetActions()

  Gets (as xml) the "actions" element

  Specified by:
    `xgetActions` in interface `TFailureInfo`

### setActions

    public void setActions(java.lang.String actions)

  Sets the "actions" element

  Specified by:
    `setActions` in interface `TFailureInfo`

### xsetActions

    public void xsetActions(org.apache.xmlbeans.XmlString actions)

  Sets (as xml) the "actions" element

  Specified by:
    `xsetActions` in interface `TFailureInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD